/*
* CANopen Task relevant settings for FreeRTOS usage
* 
* This header is designed to include within gen_define.h .
*
*/
#ifndef CODRV_FREERTOS_MACROS_H
#define CODRV_FREERTOS_MACROS_H 1



extern void codrvOsSignal_CAN_TRANSMIT(void);
extern void codrvOsSignal_CAN_RECEIVE(void);
extern void codrvOsSignal_CAN_STATE(void);

extern void codrvOsSignal_CAN_TRANSMIT_ISR(void);
extern void codrvOsSignal_CAN_RECEIVE_ISR(void);
extern void codrvOsSignal_CAN_STATE_ISR(void);

extern void codrvOsSignal_TIMER(void);
extern void codrvOsSignal_TIMER_ISR(void);

extern void codrvOs_LOCK_OD(void);
extern void codrvOs_UNLOCK_OD(void);

#define CO_OS_SIGNAL_CAN_TRANSMIT 	codrvOsSignal_CAN_TRANSMIT_ISR();
#define CO_OS_SIGNAL_CAN_RECEIVE  	codrvOsSignal_CAN_RECEIVE_ISR();
#define CO_OS_SIGNAL_CAN_STATE 		codrvOsSignal_CAN_STATE_ISR();

#define CO_OS_SIGNAL_TIMER codrvOsSignal_TIMER();

#define CO_OS_LOCK_OD codrvOs_LOCK_OD();
#define CO_OS_UNLOCK_OD codrvOs_UNLOCK_OD();


#endif /* CODRV_FREERTOS_MACROS_H */
